%define ver_major 1.2
%def_disable static

Name: gtksourceview
Version: %ver_major.0
Release: alt1

Summary: GtkSourceView text widget library
License: LGPL
Group: System/Libraries
Url: http://www.gnome.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: ftp://ftp.gnome.org/pub/gnome/sources/%name/%ver_major/%name-%version.tar.bz2

%define intltool_ver 0.33
%define gtk_ver 2.6.4
%define libxml2_ver 2.6.17

BuildPreReq: intltool >= %intltool_ver
BuildPreReq: libgtk+2-devel >= %gtk_ver
BuildPreReq: libxml2-devel >= %libxml2_ver

# Automatically added by buildreq on Wed Mar 02 2005
BuildRequires: gcc-c++ gcc-g77 glib2-devel libart_lgpl-devel libatk-devel libgnomeprint2-devel libgtk+2-devel libpango-devel libstdc++-devel libxml2-devel perl-XML-Parser pkgconfig zlib-devel

%description
GtkSourceView is a text widget that extends the standard gtk+ 2.x text
widget GtkTextView. It improves GtkTextView by implementing syntax
highlighting and other features typical of a source editor.

%package -n lib%name
Summary: GtkSourceView text widget library
Group: System/Libraries
Requires: libgtk+2 >= %gtk_ver
Requires: libxml2 >= %libxml2_ver

%description -n lib%name
GtkSourceView is a text widget that extends the standard gtk+ 2.x text
widget GtkTextView. It improves GtkTextView by implementing syntax
highlighting and other features typical of a source editor.

This package contains shared GtkSourceView library.

%package -n lib%name-devel
Summary: Files to compile applications that use GtkSourceView
Group: Development/GNOME and GTK+
Requires: lib%name = %version-%release
Requires: libgtk+2-devel >= %gtk_ver
Requires: libxml2-devel >= %libxml2_ver

%description -n lib%name-devel
This package contains the files required to develop applications against
the GtkSourceView library.

%define _gtk_docdir %_datadir/gtk-doc/html

%prep
%setup -q

%build
%configure \
	%{subst_enable static} \
	--disable-build-tests
	
%make_build

%install
%makeinstall

%find_lang %name-1.0

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%files -n lib%name -f %name-1.0.lang
%_libdir/*.so.*
%_datadir/%name-1.0
%doc AUTHORS ChangeLog NEWS README

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*
%doc HACKING MAINTAINERS TODO
%doc %_gtk_docdir/*

%changelog
* Tue Mar 08 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.2.0-alt1
- 1.2.0

* Wed Mar 02 2005 Yuri N. Sedunov <aris@altlinux.ru> 1.1.93-alt1
- 1.1.93.

* Thu Oct 28 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.1-alt1
- 1.1.1

* Fri Sep 10 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.1.0-alt1
- 1.1.0

* Fri Mar 26 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1.1
- ruby.lang by Vital.

* Tue Mar 23 2004 Yuri N. Sedunov <aris@altlinux.ru> 1.0.0-alt1
- 1.0.0

* Tue Mar 09 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.2-alt1
- 0.9.2

* Tue Feb 24 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.1-alt1
- 0.9.1

* Fri Feb 13 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.9.0-alt1
- 0.9.0

* Mon Feb 02 2004 Yuri N. Sedunov <aris@altlinux.ru> 0.8.0-alt1
- 0.8.0

* Tue Dec 02 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt2
- do not package .la files.

* Mon Oct 20 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.7.0-alt1
- 0.7.0

* Wed Oct 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt2
- fixed buildreqs.

* Wed Aug 27 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.6.0-alt1
- 0.6.0

* Tue Jul 01 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.4.0-alt1
- 0.4.0

* Fri Jun 13 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.3.0-alt1
- 0.3.0

* Sat May 24 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.1-alt1
- 0.2.1

* Wed May 07 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt1
- First build for Sisyphus.

